/******************************************************************************
 *
 *  SHOW HELPSCREEN
 *
 ******************************************************************************/
void helpScreen()
{
  int mouseYPos    = 350;
  int keyboardYPos = 470;
  int vSpacing     = 30;

  pushStyle();

  background(BACKGROUND_COLOR);
  fill(0);
  textAlign(CENTER);
  textSize(24);
  if (nl)
    text("Een eenvoudig Neuraal Netwerk, door Rolf van Gelder - http://cagewebdev.com", width>>1, 50);
  else
    text("A simple Neural Network, by Rolf van Gelder - http://cagewebdev.com", width>>1, 50);

  image(numberImg, (width>>1)-(numberImg.width>>1), 80);

  textSize(22);
  if (nl)
  {
    text("MUIS", width>>1, mouseYPos);
    text("TOETSENBORD", width>>1, keyboardYPos);
  } else
  {
    text("MOUSE", width>>1, mouseYPos);
    text("KEYBOARD", width>>1, keyboardYPos);
  }
  textSize(16);
  if (nl)
  {
    text("<LINKERMUISKNOP> start een TRAININGSSESSIE", width>>1, mouseYPos+vSpacing);
    text("<RECHTERMUISKNOP> start een TESTSESSIE", width>>1, mouseYPos+2*vSpacing);
    text("<SPATIEBALK> test een volgende afbeelding", width>>1, keyboardYPos+vSpacing);
    text("<b> verlaag het aantal trainingsafbeeldingen per sessie", width>>1, keyboardYPos+2*vSpacing);
    text("<B> verhoog het aantal trainingsafbeeldingen per sessie", width>>1, keyboardYPos+3*vSpacing);
    text("<f> wissel tussen langzame (geanimeerde) en snelle (niet-geanimeerde) training", width>>1, keyboardYPos+4*vSpacing);
    text("<h> toon / verberg dit helpscherm", width>>1, keyboardYPos+5*vSpacing);
    text("<l> verlaag het aantal verborgen lagen (minimaal 0)", width>>1, keyboardYPos+6*vSpacing);
    text("<L> verhoog het aantal verborgen lagen (maximaal 5)", width>>1, keyboardYPos+7*vSpacing);
    text("<n> verlaag het aantal neuronen in de verborgen lagen (minimaal 25)", width>>1, keyboardYPos+8*vSpacing);
    text("<N> verhoog het aantal neuronen in de verborgen lagen (maximaal 144)", width>>1, keyboardYPos+9*vSpacing);
    text("<t> wissel de taal (Nederlands <> Engels)", width>>1, keyboardYPos+10*vSpacing);
  } else
  {    
    text("<LEFT-CLICK> start a TRAINING SESSION", width>>1, mouseYPos+vSpacing);
    text("<RIGHT-CLICK> start a TEST SESSION", width>>1, mouseYPos+2*vSpacing);
    text("<SPACEBAR> test the next image", width>>1, keyboardYPos+vSpacing);
    text("<b> decrease training batch size", width>>1, keyboardYPos+2*vSpacing);
    text("<B> increase training batch size", width>>1, keyboardYPos+3*vSpacing);
    text("<f> toggle between slow (animated) and fast (non-animated) training", width>>1, keyboardYPos+4*vSpacing);
    text("<h> show / hide this help screen", width>>1, keyboardYPos+5*vSpacing);    
    text("<l> decrease the number of hidden layers (min = 0)", width>>1, keyboardYPos+6*vSpacing);
    text("<L> increase the number of hidden layers (max = 5)", width>>1, keyboardYPos+7*vSpacing);
    text("<n> decrease the number of neurons in the hidden layers (min = 25)", width>>1, keyboardYPos+8*vSpacing);
    text("<N> increase the number of neurons in the hidden layers (max = 144)", width>>1, keyboardYPos+9*vSpacing);   
    text("<t> toggle the language (Dutch <> English)", width>>1, keyboardYPos+10*vSpacing);
  }

  popStyle();
} // helpScreen()