/******************************************************************************
 *
 *  SIGMOID FUNCTION
 *
 *  A SIGMOID FUNCTION IS THE NEURON'S RESPONSE TO INPUTS
 *  THE SIGMOIDAL RESPONSE RANGES FROM -1.0 TO 1.0
 *
 *  FOR EXAMPLE, THE WEIGHTED SUM OF INPUTS MIGHT BE "2.1"
 *  OUR RESPONSE WOULD BE LOOKUPSIGMOID(2.1) = 0.970
 *
 ******************************************************************************/
class Sigmoid
{
  // THIS IS A LOOK UP TABLE FOR SIGMOID (NEURAL RESPONSE) VALUES
  // WHICH IS VALID FROM -5.0 TO 5.0 AND WILL RETURN FROM -1.0 TO 1.0
  float [] g_sigmoid = new float [200];  


  /****************************************************************************
   *
   *  CONSTRUCTOR
   *
   ****************************************************************************/
  Sigmoid()
  {
    setupSigmoid();
  } // Sigmoid()


  /****************************************************************************
   *
   *  THIS FUNCTION PRECALCULATE A SIGMOID (RESPONSE) FUNCTION
   *
   ****************************************************************************/
  void setupSigmoid()
  {
    for (int i = 0; i < 200; i++)
    {
      float x = (i / 20.0) - 5.0;
      g_sigmoid[i] = 2.0 / (1.0 + exp(-2.0 * x)) - 1.0;
    }
  } // setupSigmoid()


  /****************************************************************************
   *
   *  ONCE THE SIGMOID HAS BEEN SET UP, THIS FUNCTION ACCESSES IT
   *
   ****************************************************************************/
  float lookupSigmoid(float x)
  {
    return g_sigmoid[constrain((int) floor((x + 5.0) * 20.0), 0, 199)];
  } // lookupSigmoid()
}